Package org.apache.tomcat.util.http

## Class ServerCookie

- java.lang.Object
- - org.apache.tomcat.util.http.ServerCookie

All Implemented Interfaces:
  `java.io.Serializable`

    public class ServerCookie
    extends java.lang.Object
    implements java.io.Serializable

Server-side cookie representation. Allows recycling and uses MessageBytes as low-level representation ( and thus the byte -> char conversion can be delayed until we know the charset ). Tomcat.core uses this recyclable object to represent cookies, and the facade will convert it to the external representation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ServerCookie()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MessageBytes` `getComment()`
`MessageBytes` `getDomain()`
`MessageBytes` `getName()`
`MessageBytes` `getPath()`
`MessageBytes` `getValue()`
`int` `getVersion()`
`void` `recycle()`
`void` `setVersion​(int v)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServerCookie

    public ServerCookie()

### Method Detail

#### recycle

    public void recycle()

#### getComment

    public MessageBytes getComment()

#### getDomain

    public MessageBytes getDomain()

#### getPath

    public MessageBytes getPath()

#### getName

    public MessageBytes getName()

#### getValue

    public MessageBytes getValue()

#### getVersion

    public int getVersion()

#### setVersion

    public void setVersion​(int v)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`